Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERAttribute

    com.change_vision.jude.api.inf.model.IERAttribute

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERAttribute

extends INamedElement

Interface for ERAttribute.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IConstraint` | `getConstraint(String constraintName)` Get Constraint.
`abstract IERDatatype` | `getDatatype()` Get Datatype.
`abstract String` | `getDefaultValue()` Get Default Value.
`abstract IERDomain` | `getDomain()` Get Domain.
`abstract IERIndex[]` | `getERIndices()` Get ERIndices.
`abstract String` | `getLengthPrecision()` Get Length/Precision.
`abstract String` | `getLogicalName()` Get Logical Name.
`abstract String` | `getPhysicalName()` Get Physical Name.
`abstract IERAttribute[]` | `getReferencedForeignKeys()` Get referenced foreign keys.
`abstract IERAttribute` | `getReferencedPrimaryKey()` Get referenced primary key.
`abstract IERRelationship` | `getReferencedRelationship()` Get referenced relationship.
`abstract IERSubtypeRelationship[]` | `getReferencedSubtypeRelationships()` Get referenced subtype relationships.
`abstract IERSubtypeRelationship` | `getSubtypeForeignKeyInv()` Get associated subtype relationship as discriminator attribute.
`abstract boolean` | `isForeignKey()` Check if the attribute is foreign key.
`abstract boolean` | `isNotNull()` Check if the attribute is NOT NULL.
`abstract boolean` | `isPrimaryKey()` Check if the attribute is primary key.
`abstract void` | `setDatatype(IERDatatype datatype)` Set Datatype.
`abstract void` | `setDefaultValue(String defaultValue)` Set Default Value.
`abstract void` | `setDomain(IERDomain domain)` Set Domain.
`abstract void` | `setLengthPrecision(String value)` Set Length and Precision.
`abstract void` | `setLogicalName(String name)` Set Logical Name.
`abstract void` | `setNotNull(boolean isNotNull)` Set Not Null.
`abstract void` | `setPhysicalName(String name)` Set Physical Name.
`abstract void` | `setPrimaryKey(boolean isPrimaryKey)` Set Primary Key.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLogicalName

    abstract String getLogicalName()

  Get Logical Name.

  Returns:
    Logical Name.

### getPhysicalName

    abstract String getPhysicalName()

  Get Physical Name.

  Returns:
    Physical Name.

### isPrimaryKey

    abstract boolean isPrimaryKey()

  Check if the attribute is primary key.

  Returns:
    true it is primary key / false it is not primary key

### isForeignKey

    abstract boolean isForeignKey()

  Check if the attribute is foreign key.

  Returns:
    true it is foreign key / false it is not foreign key

### getDomain

    abstract IERDomain getDomain()

  Get Domain.

  Returns:
    Domain. Return null in case there is none.

### getDatatype

    abstract IERDatatype getDatatype()

  Get Datatype.

  Returns:
    Datatype.

### getLengthPrecision

    abstract String getLengthPrecision()

  Get Length/Precision.

  Returns:
    Length/Precision. Return an empty string in case there is none.

### isNotNull

    abstract boolean isNotNull()

  Check if the attribute is NOT NULL.

  Returns:
    true it is NOT NULL / false it is not NOT NULL

### getDefaultValue

    abstract String getDefaultValue()

  Get Default Value.

  Returns:
    Default Value. Return an empty string in case there is none.

### getConstraint

    abstract IConstraint getConstraint(String constraintName)

  Get Constraint.

  Parameters:
    `constraintName` - Constraint Name.
  Returns:
    Constraint. Return null in case there is none.

### getReferencedPrimaryKey

    abstract IERAttribute getReferencedPrimaryKey()

  Get referenced primary key.

  Returns:
    Primary key. Return null in case there is none.

### getReferencedForeignKeys

    abstract IERAttribute[] getReferencedForeignKeys()

  Get referenced foreign keys.

  Returns:
    the array of foreign keys. Return the empty array if there is none.

### getERIndices

    abstract IERIndex[] getERIndices()

  Get ERIndices.

  Returns:
    the array of ERIndices. Return the empty array if there is none.

### getReferencedRelationship

    abstract IERRelationship getReferencedRelationship()

  Get referenced relationship.

  Returns:
    Relationship. Return null in case there is none.

### getReferencedSubtypeRelationships

    abstract IERSubtypeRelationship[] getReferencedSubtypeRelationships()

  Get referenced subtype relationships.

  Returns:
    the array of subtype relationships. Return the empty array if there is none.

### getSubtypeForeignKeyInv

    abstract IERSubtypeRelationship getSubtypeForeignKeyInv()

  Get associated subtype relationship as discriminator attribute.

  Returns:
    Subtype relationship. Return null in case there is none.

### setLogicalName

    abstract void setLogicalName(String name)

  Set Logical Name.

  Parameters:
    `name` - Logical Name. It should NOT be null.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPhysicalName

    abstract void setPhysicalName(String name)

  Set Physical Name.

  Parameters:
    `name` - Physical Name. It should NOT be null.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPrimaryKey

    abstract void setPrimaryKey(boolean isPrimaryKey)

  Set Primary Key.

  Parameters:
    `isPrimaryKey` - true to set a primary key, false to unset a primary key.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDomain

    abstract void setDomain(IERDomain domain)

  Set Domain.

  Parameters:
    `domain` - Domain. It should NOT be null.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDatatype

    abstract void setDatatype(IERDatatype datatype)

  Set Datatype.

  Parameters:
    `datatype` - Datatype. It should not be null.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setLengthPrecision

    abstract void setLengthPrecision(String value)

  Set Length and Precision.

  Parameters:
    `value` - Length and Precision:

         value "10"   : Length 10
         value "10,5" : Length 10, Precision 5
         To set Length and Precision, Datatype option for Length and Precision is referred.
             None : value should NOT be set.
             Optional : value is optional.
             Required : value is required. It should NOT be null.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setNotNull

    abstract void setNotNull(boolean isNotNull)

  Set Not Null.

  Parameters:
    `isNotNull` - true to set Not Null constraint, false to set Not Null constraint.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDefaultValue

    abstract void setDefaultValue(String defaultValue)

  Set Default Value.

  Parameters:
    `defaultValue` - Default Value. It should NOT be null.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD